<?
function smiles($msg)
{
$msg=preg_replace('#(:|=)-?\){4,}|:ROFL:|\*ROFL\*|ROFL!{1,}#i', '<img src="/style/smiles/rofl.gif" alt="*ROFL*" />', $msg);
$msg=preg_replace('#\*БРАВО\*|:БРАВО:|:clapping:|:BRAVO:|\*BRAVO\*#iu', '<img src="/style/smiles/clapping.gif" alt="Браво" />', $msg);
// большая улыбка
$msg=preg_replace('#((:-?)|\+|=)D#', '<img src="/style/smiles/biggrin.gif" alt="\\0" />', $msg);
//
$msg=preg_replace('#\*TIRED\*|\|-?0|:boredom:#i', '<img src="/style/smiles/boredom.gif" alt="*TIRED*" />', $msg);
// плохо
$msg=preg_replace('#:-?(!|~)|:bad:|(:|\+|=)\(~#i', '<img src="/style/smiles/bad.gif" alt=":-!" />', $msg);
// улыбка 
$msg=preg_replace('#(:-?|\+)\){1,3}|:smile:|\*smile\*#i', '<img src="/style/smiles/smile.gif" alt="\\0" />', $msg);
// грусть
$msg=preg_replace('#(:-?|\+)\({1,3}|:sad:|\*sad\*#i', '<img src="/style/smiles/sad.gif" alt="\\0" />', $msg);
// подмигивание
$msg=preg_replace('#(^| );-?\)#', '<img src="/style/smiles/wink.gif" alt="\\0" />', $msg);
$msg=str_replace('^_~', '<img src="/style/smiles/wink.gif" alt="^_~" />', $msg);
$msg=preg_replace('#:wink:#i', '<img src="/style/smiles/wink.gif" alt=":wink:" />', $msg);
// язык 
$msg=preg_replace('#(:-?)(P|b|p)#', '<img src="/style/smiles/blum3.gif" alt="\\0" />', $msg);
$msg=preg_replace('#:tongue:#i', '<img src="/style/smiles/blum3.gif" alt=":tongue:" />', $msg);
// крутой
$msg=preg_replace('#((8|B)-?)\)#', '<img src="/style/smiles/dirol.gif" alt="\\0" />', $msg);
$msg=preg_replace('#:COOL:|COOL!{1,}#i', '<img src="/style/smiles/dirol.gif" alt="\\0" />', $msg);

// 
$msg=str_replace(':-[', '<img src="/style/smiles/blush2.gif" alt=":-[" />', $msg);
// шок
$msg=preg_replace('#(O|0)_(O|0)#i', '<img src="/style/smiles/shok.gif" alt="\\0" />', $msg);
// поцелуй
$msg=preg_replace('#(:-?)(\*|\{\})|\^\.\^|:kiss:|\*kiss\*#i', '<img src="/style/smiles/kiss.gif" alt="\\0" />', $msg);
// плак
$msg=preg_replace('#:\'-?\({1,}#', '<img src="/style/smiles/cray.gif" alt="\\0" />', $msg);
// секрет
$msg=preg_replace('#:-?(X|\#)|:secret:#i', '<img src="/style/smiles/secret.gif" alt="\\0" />', $msg);
// агрессия
$msg=preg_replace('#(&gt;)(:|\+)(o|0)|:angry:|:-@#i', '<img src="/style/smiles/aggressive.gif" alt="\\0" />', $msg);
// дурак
$msg=preg_replace('#(:-?|=)\|#', '<img src="/style/smiles/fool.gif" alt="\\0" />', $msg);
// be
$msg=str_replace(':-/', '<img src="/style/smiles/beee.gif" alt="\\0" />', $msg);
// смех
$msg=preg_replace('#\*JOKINGLY\*#i', '<img src="/style/smiles/mosking.gif" alt="\\0" />', $msg);
// дьявол
$msg=preg_replace('#(\]|\}):-?&gt;|:diablo:|\*DIABLO\*|&gt;:-?]#i', '<img src="/style/smiles/diablo.gif" alt="\\0" />', $msg);
// музыка
$msg=preg_replace('#\[:-?\}#', '<img src="/style/smiles/music2.gif" alt="\\0" />', $msg);
// воздушный поцелуй
$msg=preg_replace('#\*KISSED\*#i', '<img src="/style/smiles/air_kiss.gif" alt="\\0" />', $msg);
// стоп
$msg=preg_replace('#\*STOP\*|:stop:|stop!{1,}#i', '<img src="/style/smiles/stop.gif" alt="\\0" />', $msg);
// поцелуй
$msg=preg_replace('#\*KISSING\*#i', '<img src="/style/smiles/kiss_3.gif" alt="\\0" />', $msg);
// роза
$msg=preg_replace('#@\}-&gt;--|@\}-:--|@&gt;\}--#', '<img src="/style/smiles/give_rose.gif" alt="\\0" />', $msg);
// все отлично
$msg=preg_replace('#\*THUMBS_UP\*|:GOOD:|\*GOOD\*|good!{1,}#i', '<img src="/style/smiles/good.gif" alt="\\0" />', $msg);
// пить
$msg=preg_replace('#\*DRINK\*|:drink:#i', '<img src="/style/smiles/drinks.gif" alt="\\0" />', $msg);
// влюблен
$msg=preg_replace('#\*IN_LOVE\*|LOVE!{1,}#i', '<img src="/style/smiles/man_in_love.gif" alt="\\0" />', $msg);
// бомба
$msg=str_replace('@=', '<img src="/style/smiles/bomb.gif" alt="@=" />', $msg);
// потерян
$msg=preg_replace('#%-?\)|:-?\$|:wacko:#i', '<img src="/style/smiles/wacko.gif" alt="\\0" />', $msg);

$msg=preg_replace('#\*WASSUP\*|\*SUP\*|\*MAMBA\*|:MAMBA:#i', '<img src="/style/smiles/mamba.gif" alt="*WASSUP*" />', $msg);

$msg=preg_replace('#\*PARDON\*|:pardon:#i', '<img src="/style/smiles/pardon.gif" alt="*PARDON*" />', $msg);


$msg=preg_replace('#\*NO\*#i', '<img src="/style/smiles/nea.gif" alt="*NO*" />', $msg);

$msg=preg_replace('#\*CRAZY\*|:crazy:#i', '<img src="/style/smiles/crazy.gif" alt="*CRAZY*" />', $msg);

$msg=preg_replace('#\*DONT_KNOW\*|\*UNKNOWN\*|:HZ:#i', '<img src="/style/smiles/dntknw.gif" alt="*DONT_KNOW*" />', $msg);

$msg=preg_replace('#\*SORRY\*|:sorry:#i', '<img src="/style/smiles/sorry.gif" alt="*SORRY*" />', $msg);

$msg=preg_replace('#\*YAHOO!*\*|:YAHOO:|YAHOO!{1,}#i', '<img src="/style/smiles/yahoo.gif" alt="\\0" />', $msg);

$msg=preg_replace('#\*DANCE\*|:dance:#i', '<img src="/style/smiles/dance4.gif" alt="*DANCE*" />', $msg);

$msg=preg_replace('#\*HELP\*#i', '<img src="/style/smiles/help.gif" alt="*HELP*" />', $msg);

$msg=preg_replace('#\*OK\*#i', '<img src="/style/smiles/ok.gif" alt="*OK*" />', $msg);

$msg=preg_replace('#\*HELLO\*|\*PREVED\*|\*PRIVET\*|\*HI\*#i', '<img src="/style/smiles/preved.gif" alt="*HELLO*" />', $msg);

$msg=preg_replace('#\*ACUTE\*#i', '<img src="/style/smiles/acute.gif" alt="*ACUTE*" />', $msg);

$msg=preg_replace('#\*BYE\*#i', '<img src="/style/smiles/bye.gif" alt="*BYE*" />', $msg);

$msg=preg_replace('#\*WRITE\*#i', '<img src="/style/smiles/mail1.gif" alt="*WRITE*" />', $msg);
$msg=preg_replace('#\*MAIL\*#i', '<img src="/style/smiles/mail1.gif" alt="*MAIL*" />', $msg);

$msg=preg_replace('#\*WALL\*#i', '<img src="/style/smiles/dash1.gif" alt="*WALL*" />', $msg);
$msg=preg_replace('#\*DASH\*#i', '<img src="/style/smiles/dash1.gif" alt="*DASH*" />', $msg);

$msg=preg_replace('#\*YES\*#i', '<img src="/style/smiles/yes3.gif" alt="*YES*" />', $msg);

$msg=preg_replace('#\*SCRATCH\*#i', '<img src="/style/smiles/scratch_one-s_head.gif" alt="*SCRATCH*" />', $msg);

$msg=preg_replace('#\*LOL!*\*|:LOL:|LOL!{1,}#i', '<img src="/style/smiles/lol.gif" alt="\\0" />', $msg);

$msg=preg_replace('#\*HAPPY\*|:happy:#i', '<img src="/style/smiles/i-m_so_happy.gif" alt="*HAPPY*" />', $msg);

$msg=preg_replace('#\*db\*|:db:#i', '<img src="/style/smiles/pleasantry.gif" alt="*db*" />', $msg);

return $msg;
}

?>